package com.ruoyi.project.system.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 工艺选择项对象 product_craft_params
 *
 * @author zhu
 * @date 2023-10-26
 */
@Data
@Accessors(chain = true)
public class ProductCraftParams extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String title;

    /**
     * 工艺id
     */
    @Excel(name = "工艺id")
    private Long craftId;

    /**
     * 计算
     */
    @Excel(name = "计算")
    private String compute;

    /**
     * 最小价格
     */
    @Excel(name = "最小价格")
    private BigDecimal minPrice;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private Long productId;

    /**
     * 材质id
     */
    @Excel(name = "材质id")
    private Long materialId;

    /**
     * 参数值
     */
    private Long arg;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("craftId", getCraftId())
                .append("compute", getCompute())
                .append("minPrice", getMinPrice())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
